# textures.Textures

moderngl_window.resources.textures.Textures

  Handles texture resources

## Methods

Textures.__init__()

  Initialize internal attributes

Textures.load(meta: TextureDescription) → Texture | TextureArray | TextureCube | Texture3D

  Loads a texture with the configured loaders.

  Parameters:

    meta (`TextureDescription`) – The resource description

  Returns:

    2d texture

  Return type:

    moderngl.Texture

  Returns:

    texture array if `layers` is supplied

  Return type:

    moderngl.TextureArray

Textures.add(meta: ResourceDescription) → None

  Adds a resource description without loading it. The resource is loaded and returned when `load_pool()` is called.

  Parameters:

    meta (ResourceDescription) – The resource description

Textures.load_pool() → Generator[Tuple[ResourceDescription, Any], None, None]

  Loads all the data files using the configured finders.

  This is only relevant when resource have been added to this pool using `add()`.

  Returns:

    Generator of (meta, resource) tuples

Textures.resolve_loader(meta: ResourceDescription) → None

  Attempts to assign a loader class to a ResourceDescription.

  Parameters:

    meta (`ResourceDescription`) – The resource description instance

## Attributes

Textures.settings_attr = 'TEXTURE_LOADERS'

  The name of the attribute in `Settings` containting a list of loader classes.

  Type:

    str

Textures.count

  The number of resource descriptions added. This is only relevant when using add and load_pool.

  Type:

    int

Textures.loaders

  Loader classes for this resource type

  Type:

    Generator